<mat-horizontal-stepper [linear]="isLinear" #stepper class="full-width-table blvss-container full-width-table-md full-width-table-xs">
    <!-- change default 'edit' icon -->
    <ng-template matStepperIcon="edit">
        <mat-icon>done</mat-icon>
    </ng-template>
    
    <mat-step [stepControl]="firstFormGroup" >
        <form [formGroup]="firstFormGroup">
            <ng-template matStepLabel>Upload Blueprint</ng-template>
            
            <!-- <div class="dropzone" appFileUploadDND (fileDropped)="onUploadedVsb($event,$event)"> -->
                <div class="dropzone" id="dropzone1" [ngClass]="{'hiddenUpload':filesStep1.length > 0}" appFileUploadDND>
                    <input #blueprintFile id="blueprintFile" type="file" formControlName="firstCtrl" onclick="this.value = null" (change)="onUploadedVsb($event,blueprintFile.files)" required/>
                    <img src="assets/images/fileUpload.png" alt="">
                    <h3>Choose File or Drag & Drop</h3>
                    <!-- <label for="blueprintFile">Choose File</label> -->
                </div>
    
                <div class="uploadLabelContainer" [ngClass]="{'hiddenUpload':filesStep1.length > 0}">
                    <label for="blueprintFile" class="uploadBtn">Choose File</label>
                </div>
    
    
                <div class="files-list">
                    <div class="single-file" *ngFor="let file of filesStep1; let i = index">
                      <img src="assets/images/ic-file.png" width="45px" alt="file">
                      <div class="info">
                        <h4 class="name">
                          {{ file?.name }}
                        </h4>
                        <p class="size">
                          {{ formatBytes(file?.size) }}
                        </p>
                        <app-progress [progress]="file?.progress"></app-progress>
                      </div>
                      <img src="assets/images/ic-delete-file.png" class="delete" width="20px" alt="file" (click)="deleteFile(i, 1)">
                    </div>
                  </div>
    
                <!-- <input #blueprintFile type="file" formControlName="firstCtrl" (change)="onUploadedVsb($event,blueprintFile.files)" required/> -->
    
                <div class="margin-top">
                    <button mat-raised-button matStepperNext class="margin-all nextBtn" [disabled]="firstFormGroup.invalid" id="firstNext">Next
                        <i class="fa fa-angle-right " aria-hidden="true"></i> </button>
                </div>

        </form>
    </mat-step>


<div>
    <mat-step [stepControl]="secondFormGroup">
        <form [formGroup]="secondFormGroup" >
            <ng-template matStepLabel>Upload NSDs</ng-template>
            
            <h4 class="little">Upload a .yaml file.</h4>
            
            <!-- <mat-checkbox (change)="hideNextShowSubmit($event);" style="color: black;" >STATIC DEPLOYMENT</mat-checkbox> -->
            <br />&nbsp;<br />

            <!-- file uploader start -->
            <div class="dropzone" id="dropzone2" [ngClass]="{'hiddenUpload':filesStep2.length > 0}" appFileUploadDND>
                <input #nsdFiles id="nsdFiles" type="file" formControlName="secondCtrl" (change)="onUploadedNsd($event,nsdFiles.files)" />
                <img src="assets/images/fileUpload.png" alt="">
                <h3>Choose File or Drag & Drop</h3>
                <!-- <label for="nsdFiles">Choose File</label> -->
            </div>

            <div class="uploadLabelContainer" [ngClass]="{'hiddenUpload':filesStep2.length > 0}">
                <label for="nsdFiles" class="uploadBtn">Choose File</label>
            </div>


            <div class="files-list">
                <div class="single-file" *ngFor="let file of filesStep2; let i = index">
                  <img src="assets/images/ic-file.png" width="45px" alt="file">
                  <div class="info">
                    <h4 class="name">
                      {{ file?.name }}
                    </h4>
                    <p class="size">
                      {{ formatBytes(file?.size) }}
                    </p>
                    <app-progress [progress]="file?.progress"></app-progress>
                  </div>
                  <img src="assets/images/ic-delete-file.png" class="delete" width="20px" alt="file" (click)="deleteFile(i, 2)">
                </div>
              </div>

              <!-- file uploader end -->


            <!-- <input #nsdFiles id="uploadFile" type="file" formControlName="secondCtrl" (change)="onUploadedNsd($event,nsdFiles.files)" required/> -->


            <div class="margin-top">
                <button mat-raised-button matStepperPrevious color="primary" class="margin-all backBtn">
                    <i class="fa fa-angle-left " aria-hidden="true"></i>
                    Back</button>
               
                <button mat-raised-button matStepperNext color="primary" class="margin-all nextBtn" *ngIf="showNextBtn"
                 [disabled]="secondFormGroup.invalid" id="secondNext">Next
                 <i class="fa fa-angle-right " aria-hidden="true"></i></button>

                <button mat-raised-button color="accent" id="submitButton" *ngIf="showSubmitBtn"
                 class="margin-all submitBtn" (click)="createOnBoardingRequestWithoutNsds(blueprintFile.files);">Submit</button>
            </div>


        </form>
    </mat-step>


    <mat-step [stepControl]="thirdFormGroup" >

        <form [formGroup]="thirdFormGroup" class="rules-form" fxFlex="100%"  fxLayout.xs="column" fxLayout="column"  style="width: 100%;">
            <ng-template matStepLabel>Create Translation Rules</ng-template>
            <table class="rules-full-width" cellspacing="0" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="text-align: center;">
                <tr fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;">
                    <td>
                        <h4>NSD</h4>
                        <mat-form-field appearance="outline" color=primary class="rules-full-width">
                            <mat-label>NSD Id</mat-label>
                            <input matInput id="nsdId" placeholder="NSD Id" required formControlName="nsdId">
                        </mat-form-field>
                        <mat-form-field appearance="outline" color=primary class="rules-full-width">
                            <mat-label>NSD Version</mat-label>
                            <input matInput id="nsdVersion" placeholder="NSD Version" required formControlName="nsdVersion">
                        </mat-form-field>
                        <mat-form-field appearance="outline" class="rules-full-width">
                            <mat-label>NS Flavour Id</mat-label>
                            <input matInput id="nsdVersion" placeholder="NS Flavour Id" required formControlName="nsFlavourId">

                            <!-- <mat-select formControlName="nsFlavourId" name="nsFlavourId" (selectionChange)="onNsDfSelected($event);">
                                <mat-option *ngFor="let df of dfs" [value]="df.nsDfId">
                                    {{df.nsDfId}}
                                </mat-option>
                            </mat-select> -->
                        </mat-form-field>
                        <mat-form-field appearance="outline" class="rules-full-width">
                            <mat-label>NS Instantiation Level Id</mat-label>
                            <input matInput id="nsdVersion" placeholder="NS Instantiation Level Id" required formControlName="nsInstLevel">

                            <!-- <mat-select formControlName="nsInstLevel" name="nsInstLevel">
                                <mat-option *ngFor="let instLevel of instLevels" [value]="instLevel.nsLevelId">
                                    {{instLevel.nsLevelId}}

                                </mat-option>
                            </mat-select> -->
                        </mat-form-field>

                        <!-- <mat-form-field appearance="outline" class="rules-full-width">
                            <mat-label>NetApp Id</mat-label>
                            <mat-select (selectionChange)="onNaChange($event);">
                                <mat-option *ngFor="let df of naBlueprintInfos" [value]="df.netAppPackageId">
                                    {{df.netAppPackageId}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field> -->

                    </td>
                </tr>
                <tr fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;">
                    <!-- <h4>Parameters</h4> -->
                    <div class="newParamContainer">
                        <h4>Parameters</h4>
                    </div>
                    <div formArrayName="items" *ngFor="let item of thirdFormGroup.get('items')?.controls; let i=index;" fxFlex="100%"  fxLayout.xs="row" fxLayout="row" fxLayoutAlign="center center">
                        <div [formGroupName]="i" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">

                            <td fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
                                <label style="color: black;">{{this.translationParams[i]}}</label>
                            </td>
                            <mat-form-field appearance="outline" color=primary class="invisible rules-full-width" >
                              <input matInput placeholder="{{this.translationParams[i]}}" [ngModel]="this.translationParams[i]" formControlName="parameterId" >
                            </mat-form-field>
                            <td fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
                                <mat-form-field appearance="outline" color=primary class="rules-full-width">
                                    <input matInput placeholder="Min Value" required formControlName="minValue">
                                </mat-form-field>
                            </td>
                            <td fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
                                <mat-form-field appearance="outline" color=primary class="rules-full-width">
                                    <input matInput placeholder="Max Value" required formControlName="maxValue">
                                </mat-form-field>
                            </td>
                        </div>
                    </div>
                </tr>
                <tr class="lastStepBtns">
                    <td>
                        <div class="margin-top lastStepBtnsRow"  fxFlex="100%"  fxLayout.xs="row" fxLayout="row" fxLayoutAlign="center center">
                            <span >
                                <button mat-raised-button matStepperPrevious color="primary" class="margin-all backBtn">
                                    <i class="fa fa-angle-left " aria-hidden="true"></i> Back</button>
                                <button mat-raised-button (click)="stepper.reset(); deleteFile(0,1);deleteFile(0,2);" color="warn" class="margin-all resetBtn">
                                    <i class="fa fa-repeat " aria-hidden="true"></i> Reset</button>
                            </span>
                            <span >
                               <button mat-raised-button color="accent" class="margin-all submitBtn" (click)="createOnBoardVsBlueprintRequest(blueprintFile.files,nsdFiles.files);" >Submit</button>
                            </span>
                        </div>
                    </td>
                </tr>
            </table>
        </form>

    </mat-step>
</div>


</mat-horizontal-stepper>
